# WZL Latex 
*Template, requirements, tools & tricks*  
*Contact:* Mark Sanders (sdr)

**Info**  
This is an examplary LaTeX project with .tex and .bib files as a template for writing final reports, theses or dissertations in WZL style.
The formatting rules and parameters are located in the  `format/WZLtemplate.cls` file.

# Getting started

## Editing locally
### Requirements

**TeX system**  
For compiling .tex-files locally, a TeX-System is required. I recommend [TinyTeX](https://yihui.org/tinytex/).


**IDE**  
For proper .tex-files editing an IDE is needed. I recommend [VSCode](https://code.visualstudio.com/) with [LaTeX Workshop](https://marketplace.visualstudio.com/items?itemName=James-Yu.latex-workshop) installed.



### First steps

When working with a local TeX System and IDE, download or clone this repository to your empty project directory:  
Clone with tls/https (requires your Gitlab login):  
`git clone https://git-ce.rwth-aachen.de/wzl-mq-public/templates/wzl-latex.git --recurse-submodules`  

### Install all necessary packages

```  tlmgr install `cat texlive_packages.txt`  ```


Compile the main.tex-file with your IDE and consider the resulting PDF for further explanations.

The Deckblattundformularlogoverwendung PDF might not be included properly. Please print the PDF after filling your data as a PDF with a common PDF printer. Afterwards include this new PDF.

## Overleaf (ShareLaTeX)

**Online TeX-System & IDE**  
For a fully integrated web-based TeX and IDE system check-out the RWTH/TU Darmstadt Overleaf instance: [Overleaf](https://sharelatex.tu-darmstadt.de)  
The sdr branch of this repository is pushed to this public Overleaf project: [wzl-latex project](https://sharelatex.tu-darmstadt.de/read/nsckfdbnghdm#c0967b)  

Disadvantages of overleaf are the necessary figure and literature uploads.  
Advantages are the out-of-the-box usage without aforementioned software installations.


## Fonts

The Fira Sans font files are zipped in the format folder.

CMU Serif can be installed and used e.g. for creating figures in ppt with a font that is very similar to the standard Tex font, if the serif font is used.
https://fontlibrary.org/en/font/cmu-serif
